itpp::AR1_Normal_RNG Class Reference
Base Module » Random Number Generation

Filtered normal distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| AR1_Normal_RNG (double meanval=0.0, double variance=1.0, double rho=0.0)
| Constructor. Set mean, variance, and correlation.
void | setup (double meanval, double variance, double rho)
| Set mean, variance, and correlation.
void | get_setup (double &meanval, double &variance, double &rho) const
| Get mean, variance and correlation.
void | reset ()
| Set memory contents to zero.
double | operator() ()
| Get a single random sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Filtered normal distribution.

Definition at line 652 of file random.h.

## Constructor & Destructor Documentation

## AR1_Normal_RNG()

itpp::AR1_Normal_RNG::AR1_Normal_RNG | ( | double | meanval = 0.0,
|  | double | variance = 1.0,
|  | double | rho = 0.0 )

Constructor. Set mean, variance, and correlation.

Definition at line 771 of file random.cpp.

References setup(), and itpp::variance().

## Member Function Documentation

## setup()

void itpp::AR1_Normal_RNG::setup | ( | double | meanval,
|  | double | variance,
|  | double | rho )

Set mean, variance, and correlation.

Definition at line 776 of file random.cpp.

References itpp::variance().

Referenced by AR1_Normal_RNG().

## get_setup()

void itpp::AR1_Normal_RNG::get_setup | ( | double & | meanval,
|  | double & | variance,
|  | double & | rho ) const

Get mean, variance and correlation.

Definition at line 786 of file random.cpp.

References itpp::variance().

## reset()

void itpp::AR1_Normal_RNG::reset | ( |  | ) |

Set memory contents to zero.

Definition at line 816 of file random.cpp.

## operator()() [1/3]

double itpp::AR1_Normal_RNG::operator() | ( |  | ) |

inline

Get a single random sample.

Definition at line 665 of file random.h.

## operator()() [2/3]

vec itpp::AR1_Normal_RNG::operator() | ( | int | n | ) |

Get a sample vector.

Definition at line 794 of file random.cpp.

## operator()() [3/3]

mat itpp::AR1_Normal_RNG::operator() | ( | int | h,
|  | int | w )

Get a sample matrix.

Definition at line 804 of file random.cpp.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on for IT++ by Doxygen 1.15.0